# Average return per month `GET` `https://api.unusualwhales.com/api/seasonality/{ticker}/monthly` Returns the average return by month for the given ticker. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `avg_change` | Seasonality Average Change | The average relative price change per day for the month. | | `max_change` | Seasonality Max Change | The maximum relative price change per day for the month. | | `median_change` | Seasonality Median Change | The median relative price change per day for the month. | | `min_change` | Seasonality Min Change | The minimum relative price change per day for the month. | | `month` | Seasonality Month Number | The number indicating the month the data applies for. e.g. 1 -> January, 2 -> February, ... | | `positive_closes` | Seasonality Positive Closes Count | The number of years, the month had a positive close. | | `positive_months_perc` | Seasonality Positive Months Percent | The relative amount of times, the month had a positive close. Multiply with 100 to get the amount in percent. | | `years` | Seasonality Year Count | The number of years used to calculate the data. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/seasonality/{ticker}/monthly" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/seasonality/{ticker}/monthly", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "avg_change": 0.0034, "max_change": 0.0635, "median_change": 0.0195, "min_change": -0.0727, "month": 1, "positive_closes": 2, "positive_months_perc": 0.6667, "years": 3 }, { "avg_change": 0.0006, "max_change": 0.0334, "median_change": 0.0057, "min_change": -0.0374, "month": 2, "positive_closes": 2, "positive_months_perc": 0.6667, "years": 3 }, { "avg_change": 0.0949, "max_change": 0.1497, "median_change": 0.0949, "min_change": 0.0402, "month": 3, "positive_closes": 2, "positive_months_perc": 1, "years": 2 }, { "avg_change": -0.0153, "max_change": 0.0724, "median_change": -0.0153, "min_change": -0.1029, "month": 4, "positive_closes": 1, "positive_months_perc": 0.5, "years": 2 } ] } ```